%global commit_sha a837b8ee38e847e2bef5fe87b79ab014ea133bd3

Name:           orca-master
Version:        40.1
Release:        20210602a837b8ee38e
Summary:        Assistive technology for people with visual impairments, latest version as published in the Orca's git repository

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Orca
Source0:        %{commit_sha}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(atk-bridge-2.0)
BuildRequires:  pkgconfig(atspi-2)
BuildRequires:  pkgconfig(liblouis)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  brlapi-devel
BuildRequires:  brltty
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk3-devel
BuildRequires:  itstool
BuildRequires:  make
BuildRequires:  python3-brlapi
BuildRequires:  python3-devel
BuildRequires:  python3-louis
BuildRequires:  python3-pyatspi
BuildRequires:  python3-speechd
BuildRequires:  /usr/bin/desktop-file-validate
buildRequires:  yelp-tools

Requires:       libwnck3
Requires:       python3-brlapi
Requires:       python3-louis
Requires:       python3-pyatspi
Requires:       python3-speechd
Conflicts:      orca <= 40.1
Provides:       orca

%description
Orca is a screen reader that provides access to the graphical desktop via
user-customizable combinations of speech and/or braille. Orca works with
applications and toolkits that support the assistive technology service
provider interface (AT-SPI), e.g. the GNOME desktop.

%prep
%autosetup -p1 -n orca-%{commit_sha}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
%make_install

%find_lang orca --with-gnome

find %{buildroot} -name '*.la' -delete


%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/orca-autostart.desktop


%files -f orca.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/orca
%{python3_sitelib}/orca/
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/icons/hicolor/symbolic/apps/orca-symbolic.svg
%{_datadir}/orca
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%{_mandir}/man1/orca.1*


%changelog
* Wed Jun 02 2021 Lukáš Tyrychtr <lukastyrychtr@gmail.com> - 40.1-20210602a837b8ee38e
Update to Orca master commit a837b8ee38e847e2bef5fe87b79ab014ea133bd3

